Bug 253536 - No way to avoid or adjust delay
No way to avoid or adjust delay
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: crontabs (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-20 10:14 EDT by Chris Adams
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 1.10-17.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-17 04:38:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Adams 2007-08-20 10:14:16 EDT
I like my daily cron jobs to run at the same time on all my systems (it is much
more convenient if log rotation happens as close to midnight as possible for
example).  Somewhere along the line (I don't see where in the changelog or in
any release notes), an arbitrary delay (based on hostname) was added to the
daily, weekly, and monthly cron directories.

There is no way to override it that won't be changed in an update.  There is no
configuration read in the file, and it is not marked %config in the spec, so I
cannot reliably avoid this undocumented delay.

The delay should be calculated once and stored in a sysconfig file (rather than
calculated every time).  Then it would also be possible to manually set the
delay to 0 (and not have to worry about a future update overwriting my change).
Comment 1 Marcela Mašláňová 2007-08-21 03:54:51 EDT
Delays in all cron.{daily,hourly,...} should solve this issue #110894. You're
right, I'll think about configuration.
Comment 2 Marcela Mašláňová 2007-08-21 04:50:57 EDT
I'm sorry, that isn't issue but bugzilla 110894
Comment 3 Marcela Mašláňová 2007-08-27 03:06:03 EDT
Thank's for report, it will be soon in update.
Comment 4 Fedora Update System 2007-08-27 17:40:33 EDT
crontabs-1.10-15.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Chris Adams 2007-08-28 11:29:40 EDT
I see the sysconfig file, but it doesn't look like it is actually referenced by
anything.  Also, as long as configuration is being added, I would suggest the
delay be configurable (not just "on/off").  Something like:

[ -f /etc/sysconfig/crontab ] && . /etc/sysconfig/crontab
if [ -z "$DELAY" ]; then
        # Calculate the delay
        ...
fi
sleep $DELAY
exit 0


Then have a default sysconfig that just has a commented out DELAY=1 line (as an
example).
Comment 6 Fedora Update System 2007-08-29 13:28:12 EDT
crontabs-1.10-15.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Chris Adams 2007-08-29 13:37:27 EDT
The issue has not been addressed at all; please read comment #5.
Comment 8 Marcela Mašláňová 2007-08-30 08:09:49 EDT
I agree you're solution is "nicer". I'll push it to update process.

Note You need to log in before you can comment on or make changes to this bug.